
$ (WhseRfg1.inc)

$ ---------------------------- Refrigeration System ---------------------------


$ ---------------------------- Curve Fits -------------------------------------

$ ----------------------------- Mycom N200VS-M ------------------------------- $

"Mycom N200VS-Flow" = CURVE-FIT 
   TYPE             = FLOW-FSST&SDT
   ORDER-OF-FIT     = QUADRATIC
   INPUT-TYPE       = DATA
   MIN-SST = -50      MAX-SST = 40
   MIN-SDT = 50       MAX-SDT = 120

   INPUT-1 = ( -40, -30, -20, -10,  $SST
               -40, -30, -20, -10,         
               -40, -30, -20, -10, 
               -40, -30, -20, -10)

   INPUT-2 = (  70,  70,  70,  70,  $SCT
                80,  80,  80,  80, 
                90,  90,  90,  90,
               100, 100, 100, 100)

   OUTPUT  = ( 1188, 1595, 2098, 2710,
               1151, 1559, 2062, 2675,
               1102, 1512, 2016, 2629,
               1040, 1450, 1955, 2570) 
   ..

"Mycom N200VS-Power" = CURVE-FIT
   TYPE             = PWR-FSST&SDT
   ORDER-OF-FIT     = QUADRATIC
   INPUT-TYPE       = DATA
   MIN-SST = -40      MAX-SST = 40
   MIN-SDT = 50       MAX-SDT = 120

   INPUT-1 = ( -40, -30, -20, -10,  $SST
               -40, -30, -20, -10,         
               -40, -30, -20, -10, 
               -40, -30, -20, -10)

   INPUT-2 = (  70,  70,  70,  70,  $SCT
                80,  80,  80,  80, 
                90,  90,  90,  90,
               100, 100, 100, 100)

   OUTPUT  = (105.1, 108.8, 113.5, 119.4,
              118.7, 122.3, 127.1, 132.9,
              134.0, 137.7, 142.4, 148.3,
              151.2, 155.0, 159.7, 165.5)
..

"Mycom N200VS-Pwr-fSlide" = CURVE-FIT 
   TYPE             = RATIO-FRATIO
   ORDER-OF-FIT     = QUADRATIC
   INPUT-TYPE       = DATA
   EXTRAPOLATE      = YES
   MIN-INPUT-1 = 0.   MAX-INPUT-1 = 1.01
   INPUT-1= (1, .85, .73, .63, .54, .46, .39, .31, .22, .11)
   OUTPUT = (1, .93, .88, .83, .80, .76, .73, .69, .65, .60)
   ..

"Mycom N200VS-Pwr-fVFD" = CURVE-FIT 
   TYPE             = RATIO-FRATIO
   ORDER-OF-FIT     = QUADRATIC
   INPUT-TYPE       = DATA
   EXTRAPOLATE      = YES
   MIN-INPUT-1 = 0.   MAX-INPUT-1 = 1.01
   INPUT-1 = (1, .89, .78, .67, .55, .44, .29, .17, .07, .02)
   OUTPUT  = (1, .90, .79, .69, .59, .49, .42, .36, .31, .28)
   ..

$ ----------------------------- Mycom N160VL-M ------------------------------- $

"Mycom N160VL-Flow" = CURVE-FIT 
   TYPE             = FLOW-FSST&SDT
   ORDER-OF-FIT     = QUADRATIC
   INPUT-TYPE       = DATA
   MIN-SST = -1       MAX-SST = 40
   MIN-SDT = 50       MAX-SDT = 120

   INPUT-1 = (  0,  10, 20, 30,  $SST
                0,  10, 20, 30,        
                0,  10, 20, 30,
                0,  10, 20, 30)

   INPUT-2 = ( 75,  75,  75,  75, $SCT
               85,  85,  85,  85, 
               95,  95,  95,  95,
              105, 105, 105, 105)

   OUTPUT = (2601, 3269, 4060, 4987,
             2570, 3239, 4030, 4958,
             2530, 3200, 3992, 4920,
             2479, 3150, 3942, 4870) 
   ..

"Mycom N160VL-Power" = CURVE-FIT
   TYPE             = PWR-FSST&SDT
   ORDER-OF-FIT     = QUADRATIC
   INPUT-TYPE       = DATA
   MIN-SST = -1       MAX-SST = 40
   MIN-SDT = 50       MAX-SDT = 120

   INPUT-1 = (  0,  10, 20, 30,  $SST
                0,  10, 20, 30,        
                0,  10, 20, 30,
                0,  10, 20, 30)

   INPUT-2 = ( 75,  75,  75,  75,  $SCT
               85,  85,  85,  85, 
               95,  95,  95,  95,
              105, 105, 105, 105)

   OUTPUT = (100.2, 106.7, 114.5, 123.8,
             111.0, 117.6, 125.4, 134.7,
             123.3, 129.8, 137.7, 146.9,
             137.1, 143.6, 151.5, 160.7)
   ..

"Mycom N160VL-Pwr-fSlide" = CURVE-FIT
   TYPE             = RATIO-FRATIO
   ORDER-OF-FIT     = QUADRATIC
   INPUT-TYPE       = DATA
   EXTRAPOLATE      = YES
   MIN-INPUT-1 = 0    MAX-INPUT-1 = 1.01
   INPUT-1 = (1, .89, .79, .71, .64, .58, .53, .47, .42, .36)
   OUTPUT  = (1, .92, .85, .80, .75, .71, .67, .63, .60, .55)
   ..

"Mycom N160VL-Pwr-fVFD" = CURVE-FIT
   TYPE             = RATIO-FRATIO
   ORDER-OF-FIT     = QUADRATIC
   INPUT-TYPE       = DATA
   EXTRAPOLATE      = YES
   MIN-INPUT-1 = 0    MAX-INPUT-1 = 1.01
   INPUT-1 = (1, .89, .79, .68, .57, .46, .35, .27, .21, .15)
   OUTPUT  = (1, .90, .79, .69, .59, .50, .42, .36, .31, .26)
   ..


$ ---------------------------- Refg-System ------------------------------------

"Main System" = REFG-SYSTEM
   REFRIGERANT      = R-717
   DESIGN-SCT       = 95
   DESIGN-WETBULB   = DesignWB[]
   SCT-CTRL         = SCTctrl[]
   ..


$ ---------------------------- Condenser --------------------------------------

"Main Condenser" = CONDENSER
   TYPE             = EVAPORATIVE
   RATED-REFG-CLASS = AMMONIA
   RATED-CAPACITY   = EvapCondCap&EIR[7000000]

   REFG-SYSTEM      = "Main System"
   CAPACITY-CTRL    = CondFanCtrl[] 
   NUMBER-OF-FANS   = 2
   EQUIPMENT-REPORT = YES
   ..  

"Main DischargeLine" = REFG-CIRCUIT 
   TYPE             = DISCHARGE
   ATTACH-TO        = REFG-SYSTEM
   REFG-SYSTEM      = "Main System"
   EQUIPMENT-REPORT = YES
   .. 

"MT SuctionGroup" = SUCTION-GROUP
   TYPE             = PARALLEL
   TEMP-CTRL        = SuctionTempCtrl[15, 1]
   DISCHARGE-CIRCUI = "Main DischargeLine"
   EQUIPMENT-REPORT = YES
.. 

"Mycom N200VS-1" = COMPRESSOR
   TYPE             = SEMI-HERMETIC
   CAP-FSST&SDT     = "Mycom N200VS-Flow"
   PWR-FSST&SDT     = "Mycom N200VS-Power" 
   PWR-FPLR         = CompressorPLR["Mycom N200VS-Pwr-fSlide",
                                    "Mycom N200VS-Pwr-fVFD"] 
   SUCTION-GROUP    = "MT SuctionGroup"
   CAPACITY-CTRL    = EXTERNAL-SIGNAL
   MAX-EXT-SIGNAL   = 1.0
   MIN-EXT-SIGNAL   = 0.0
   MIN-CAPACITY     = 0.0
   EQUIPMENT-REPORT = YES 
   ..

"Mycom N200VS-2" = COMPRESSOR
   LIKE             = "Mycom N200VS-1"
   ..

"MT SuctionLine" = REFG-CIRCUIT
   TYPE             = SUCTION
   ATTACH-TO        = SUCTION-GROUP
   SUCTION-GROUP    = "MT SuctionGroup"
   EQUIPMENT-REPORT = YES
   ..

"MT LiquidLine" = REFG-CIRCUIT
   TYPE             = LIQUID
   ATTACH-TO        = REFG-SYSTEM
   REFG-SYSTEM      = "Main System"
   EQUIPMENT-REPORT = YES
   ..

"LT SuctionGroup" = SUCTION-GROUP
   TYPE             = PARALLEL
   TEMP-CTRL        = SuctionTempCtrl[-25, 1]
   DISCHARGE-CIRCUI = "Main DischargeLine"
   EQUIPMENT-REPORT = YES
   .. 

"Mycom N160VL-1" = COMPRESSOR
   TYPE             = SEMI-HERMETIC
   CAP-FSST&SDT     = "Mycom N160VL-Flow"
   PWR-FSST&SDT     = "Mycom N160VL-Power" 
   PWR-FPLR         = CompressorPLR["Mycom N160VL-Pwr-fSlide",
                                    "Mycom N160VL-Pwr-fVFD"] 
   SUCTION-GROUP    = "LT SuctionGroup"
   CAPACITY-CTRL    = EXTERNAL-SIGNAL
   MAX-EXT-SIGNAL   = 1.0
   MIN-EXT-SIGNAL   = 0.0
   MIN-CAPACITY     = 0.0
   EQUIPMENT-REPORT = YES 
   ..

"Mycom N160VL-2" = COMPRESSOR
   LIKE             = "Mycom N160VL-1"
   ..

"LT SuctionLine" = REFG-CIRCUIT
   TYPE             = SUCTION
   ATTACH-TO        = SUCTION-GROUP
   SUCTION-GROUP    = "LT SuctionGroup"
   EQUIPMENT-REPORT = YES
   ..

$ ---------------------------- LT Subcooler -----------------------------------

##if #[SubcoolerLT[] EQS Yes]

"LT Subcooler" = SUBCOOLER
   TYPE             = MECHANICAL
   TEMP-CTRL        = THERMOSTAT
   TEMP-SETPT       = 50
   SUBCOOL-DP       = 2
   DESIGN-SUBCOOL-T = 45
   LIQUID-CIRCUIT   = "MT LiquidLine"
   SUCTION-CIRCUIT  = "MT SuctionLine"
   ATTACH-TO        = REFG-SYSTEM
   REFG-SYSTEM      = "Main System"
   EQUIPMENT-REPORT = YES
   ..

"LT LiquidLine" = REFG-CIRCUIT
   TYPE             = LIQUID
   ATTACH-TO        = SUBCOOLER
   SUBCOOLER        = "LT Subcooler"
   EQUIPMENT-REPORT = YES
   ..

##elseif #[SubcoolerLT[] EQS No]

"LT LiquidLine" = REFG-CIRCUIT
   TYPE             = LIQUID
   ATTACH-TO        = REFG-SYSTEM
   REFG-SYSTEM      = "Main System"
   EQUIPMENT-REPORT = YES
   ..

##else
   ERROR - Invalid SubcoolerLT
##endif

